QGIS Application - Bug report #19853
Untranslated strings in QGIS
2018-09-16 09:00 AM - Klas Karlsson

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Translations and international

Affected QGIS version:3.3(master)
Operating System: Linux Mint (Ubuntu)
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 27677

Description

Some strings in QGIS is not being translated in the GUI, even if they are translated in Transifex.

Vector styles, style selector ("No symbols", "Single symbol", "Categorized", etc)

Tested on Master with German and Swedish.

The texts are in the file "../src/core/symbology/qgsrendererregistry.cpp:43", but | don't know what I'm looking for to fix it.

Related issues:

Related to QGIS Application - Bug report # 19879: It's not possible to overri...

Closed 2018-09-18

Associated revisions

Revision d6795818 - 2018-09-17 02:34 AM - Jiirgen Fischer

Initialize translations before application members (fixes #19853)

History

#1 - 2018-09-16 10:49 AM - Juirgen Fischer

- Assignee changed from QGIS Translation Team to Jiirgen Fischer

#2 - 2018-09-17 02:34 AM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|d67958183eca9674bd367b4b7835e4b05339a043.

#3 - 2018-09-19 09:04 AM - Jiirgen Fischer

- Related to Bug report #19879: It's not possible to override system locale added
